Bug 1425547 - docker repos not synced to capsule
Summary: docker repos not synced to capsule
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: Unspecified
Assignee: Justin Sherrill
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-21 17:12 UTC by Tom McKay
Modified: 2019-04-01 20:27 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-02-21 16:59:28 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 18593 None None None 2017-02-21 17:12 UTC
Foreman Issue Tracker 21397 None None None 2017-10-19 15:24 UTC

Description Tom McKay 2017-02-21 17:12:05 UTC
To reproduce:
+ create and sync a docker repo
+ add repo to cv
+ create docker filter (eg. include tag "latest" only)
+ publish
+ promote to lce that is associated w/ capsule

expected results:
capsule has just the docker manifest and tags in the lce/cv

actual results:
capsule has no docker images

Comment 1 Tom McKay 2017-02-21 17:12:09 UTC
Created from redmine issue http://projects.theforeman.org/issues/18593

Comment 3 pm-sat@redhat.com 2017-02-22 21:14:33 UTC
Upstream bug assigned to jsherril@redhat.com

Comment 4 pm-sat@redhat.com 2017-02-24 19:14:14 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18593 has been resolved.

Comment 7 Jitendra Yejare 2017-11-27 15:15:21 UTC
Hi Tom,

I have tried all the steps from Description and synced docker repos to capsule:

And as per your comment 6, here is the result from satellite and capsule:


Satellite:

"schema2_data": ["1.27.2", "1.27-uclibc", "uclibc", "sha256:91ef6c1c52b166be02645b8efee30d1ee65362024f7da41c404681561734c465", "1", "1-uclibc", "1.27.2-uclibc", "1.27", "latest"], "repo-registry-id": "default_organization-dev-rhel73_cv-docker_prod-docker_repo1", "repository": "1-rhel73_cv-dev-e949f3a2-d22e-47de-a47b-f83165ad543b", "url": "https://qeblade36.rhq.lab.eng.bos.redhat.com/pulp/docker/v2/1-rhel73_cv-dev-e949f3a2-d22e-47de-a47b-f83165ad543b/", "version": 3, "protected": false, "type": "pulp-docker-redirect"}


Capsule:

{"schema2_data": ["1.27.2", "uclibc", "1.27-uclibc", "sha256:91ef6c1c52b166be02645b8efee30d1ee65362024f7da41c404681561734c465", "1", "1-uclibc", "1.27.2-uclibc", "1.27", "latest"], "repo-registry-id": "default_organization-dev-rhel73_cv-docker_prod-docker_repo1", "repository": "1-rhel73_cv-dev-e949f3a2-d22e-47de-a47b-f83165ad543b", "url": "https://sgi-uv300-02.rhts.eng.bos.redhat.com/pulp/docker/v2/1-rhel73_cv-dev-e949f3a2-d22e-47de-a47b-f83165ad543b/", "version": 3, "protected": false, "type": "pulp-docker-redirect"}


The repo-registery ID is same.

Is this enough to mark this bug verified.

Comment 8 Tom McKay 2017-12-07 13:08:52 UTC
ack, based on comment 7 it appears to be working

Comment 9 Jitendra Yejare 2017-12-07 13:12:06 UTC
Verified !

@ Satellite 6.3 snap 26

As per comment 7 and comment 8, I am confirming that this bug has been fixed.


Hence changing the bug status to Verified.

Comment 10 Bryan Kearney 2018-02-21 16:59:28 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.